Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class DefaultXBLManager.XblChildNodes

    java.lang.Object
      org.apache.batik.bridge.svg12.DefaultXBLManager.XblChildNodes

All Implemented Interfaces:
  NodeList

Direct Known Subclasses:
  DefaultXBLManager.XblScopedChildNodes

Enclosing class:
  DefaultXBLManager

    protected class DefaultXBLManager.XblChildNodes

extends Object
implements NodeList

To iterate over the XBL child nodes.

Field Summary
`protected List` | `nodes` The nodes.
`protected DefaultXBLManager.XBLRecord` | `record` The XBLRecord.
`protected int` | `size` The number of nodes.

Constructor Summary
`DefaultXBLManager.XblChildNodes(DefaultXBLManager.XBLRecord rec)` Creates a new XblChildNodes.

Method Summary
`protected Node` | `collectXblChildNodes(Node n, Node prev)` Find the XBL child nodes of this element.
`Node` | `getFirstNode()` Returns the first node in the list.
`Node` | `getLastNode()` Returns the last node in the list.
`int` | `getLength()` DOM: Implements `NodeList.getLength()`.
`void` | `invalidate()` Mark the xblNextSibling and xblPreviousSibling variables on each node in the list as invalid, then invalidate the NodeList.
`Node` | `item(int index)` DOM: Implements `NodeList.item(int)`.
`protected void` | `update()` Update the NodeList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### record

    protected DefaultXBLManager.XBLRecord record

  The XBLRecord.

### nodes

    protected List nodes

  The nodes.

### size

    protected int size

  The number of nodes.

Constructor Detail

### DefaultXBLManager.XblChildNodes

    public DefaultXBLManager.XblChildNodes(DefaultXBLManager.XBLRecord rec)

  Creates a new XblChildNodes.

Method Detail

### update

    protected void update()

  Update the NodeList.

### collectXblChildNodes

    protected Node collectXblChildNodes(Node n,
                                        Node prev)

  Find the XBL child nodes of this element.

### invalidate

    public void invalidate()

  Mark the xblNextSibling and xblPreviousSibling variables on each node in the list as invalid, then invalidate the NodeList.

### getFirstNode

    public Node getFirstNode()

  Returns the first node in the list.

### getLastNode

    public Node getLastNode()

  Returns the last node in the list.

### item

    public Node item(int index)

  DOM: Implements `NodeList.item(int)`.

  Specified by:
    `item` in interface `NodeList`

### getLength

    public int getLength()

  DOM: Implements `NodeList.getLength()`.

  Specified by:
    `getLength` in interface `NodeList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.